<?php
defined('ROOT_DIR') or die(__FILE__.' requires egConfig.inc.php');	
include_once(ROOT_DIR.'egWindow.class.php');

class egStatic extends egWindow {

  var $isBold;

	function egStatic($id, $title, $posX = 0, $posY = 0, $width = 0, $height = 0, $isBold = false) {
		parent::egWindow($id, $title, $posX, $posY, $width, $height);
    $this->isBold = $isBold;
	}

	function getClassName() {
		return "egStatic";
	}

	function getHTML($container = null) {
		$html = "var static_{$this->id} = new egStatic('{$this->id}', '{$this->title}', '{$this->posX}', '{$this->posY}', '{$this->width}', '{$this->height}', '{$container}', '{$this->isBold}');";

		return $html;
	}

	/**
   *
   * @static
	 */
	function getScriptsFiles() {
    $scriptsArray = array();
    $scriptsArray[ALL] = "egStatic_default.js";
    return $scriptsArray;
	}

	/**
   *
   * @static
   */
	function getStylesFiles() {
    $stylesArray = array();
    $stylesArray[ALL] = "egStatic_default.css";
    return $stylesArray;
  }
}
?>